﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp28
{
    sealed class Valec : Teleso
    {
        public double Polomer;

        /// <summary>
        /// Konstruktor
        /// </summary>
        /// <param name="v">Vyska</param>
        /// <param name="r">Polomer</param>
        public Valec(double v, double r) : base(v)
        {
            Polomer = r;
        }

        public override string DalsiRozmery()
        {
            return "Polomer: " + Polomer;
        }

        public override double ObsahPodstavy()
        {
            return Math.PI * Math.Pow(Polomer, 2);
        }

        public override double ObvodPodstavy()
        {
            return 2 * Math.PI * Polomer;
        }
    }
}
