﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp28
{
    class Elipsa : Teleso
    {
        public double HlavniPoloosa;
        public double VedlejsiPoloosa;

        public Elipsa(double v, double a, double b) : base(v)
        {
            HlavniPoloosa = a;
            VedlejsiPoloosa = b;
        }

        public override string DalsiRozmery()
        {
            return "Hlavni poloosa: " + HlavniPoloosa + " Vedlejsi poloosa: " + VedlejsiPoloosa;
        }

        public override double ObsahPodstavy()
        {
            return Math.PI * HlavniPoloosa * VedlejsiPoloosa;
        }

        public override double ObvodPodstavy()
        {
            return Math.PI / 2 * (HlavniPoloosa + VedlejsiPoloosa + 
                Math.Sqrt(2 * (Math.Pow(HlavniPoloosa, 2) + Math.Pow(VedlejsiPoloosa, 2))));
        }
    }
}
